Subject: bug#23750: closed (Re: bug#23750: 25.0.95; bug in url-retrieve or json.el)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 22 Jun 2016 18:22:02 +0000

Your bug report

#23750: 25.0.95; bug in url-retrieve or json.el

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23750: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23750
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23750: 25.0.95; bug in url-retrieve or json.el
From: Dmitry Gutov <[email-masked]>
To: John Wiegley <[email-masked]>, Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Wed, 22 Jun 2016 21:21:20 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On 06/22/2016 04:08 AM, John Wiegley wrote:

> If you think it's safe, Eli, then I'm good with it.

Thanks!

Pushed, and closing.

Subject: 25.0.95; bug in url-retrieve or json.el
From: Leo Liu <[email-masked]>
To: [email-masked]
Date: Sun, 12 Jun 2016 10:22:37 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I have been trying to debug an issue in TernJs¹ on and off for a few
months now and it seems the cause is some nasty bug in Emacs 25. Could
someone follow the steps detailed in
https://github.com/ternjs/tern/issues/719 to reproduce the issue?

I have verified that the bug is not in Tern but Emacs i.e. under some
circumstances emacs's URL package strips some chars in the request body
which, in this case, leads to unbalanced parentheses in the JSON doc.

Leo

Footnotes: 
¹  https://github.com/ternjs/tern/issues/719